import request from "@/http/request";

// 分页查询任务列表
export const queryTasksByPage = (params) => {
  return request({
    url: '/taskQuery/queryTasksByPage',
    method: 'post',
    data: params
  })
}
// 分页查询入库记录
export const queryInTaskRecordByPage = (params) => {
  return request({
    url: '/taskQuery/queryInTaskRecordByPage',
    method: 'post',
    data: params
  })
}
// 分页查询出库记录
export const queryOutTaskRecordByPage = (params) => {
  return request({
    url: '/taskQuery/queryOutTaskRecordByPage',
    method: 'post',
    data: params
  })
}
// 分页查询拣选任务
export const queryPickTasksByPage = (params) => {
  return request({
    url: '/taskQuery/queryPickTasksByPage',
    method: 'post',
    data: params
  })
}
// 分页查询出库单
export const queryOutsByPage = (params) => {
  return request({
    url: '/taskQuery/queryOutsByPage',
    method: 'post',
    data: params
  })
}